Subject: bug#28669: closed (Re: 27.0.50; full-read.h not found)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 02 Oct 2017 16:24:02 +0000

Your bug report

#28669: 27.0.50; full-read.h not found

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28669: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28669
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 27.0.50; full-read.h not found
From: Paul Eggert <[email-masked]>
To: Sam Steingold <[email-masked]>
Cc: [email-masked]
Date: Mon, 2 Oct 2017 09:23:10 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for reporting that. I introduced that portability bug when I 
recently simplified fsusage.c to make it easier to integrate with Emacs, in:

http://lists.gnu.org/archive/html/bug-gnulib/2017-10/msg00003.html

I installed the obvious patch into Gnulib and merged it into Emacs with 
the attached patch, and am marking this as done.

>From 995b0818e52d99f74100a5bb7d7ac124b125934b Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Mon, 2 Oct 2017 09:19:07 -0700
Subject: [PATCH] Merge from Gnulib

This incorporates:
2017-10-02 fsusage: fix typo in previous change
* lib/fsusage.c: Copy from Gnulib.
---
 lib/fsusage.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/lib/fsusage.c b/lib/fsusage.c
index a0f763be05..b670c0c43a 100644
--- a/lib/fsusage.c
+++ b/lib/fsusage.c
@@ -49,7 +49,6 @@
 # if HAVE_DUSTAT_H              /* AIX PS/2 */
 #  include <sys/dustat.h>
 # endif
-# include "full-read.h"
 #endif
 
 /* Many space usage primitives use all 1 bits to denote a value that is
-- 
2.13.6

Subject: 27.0.50; full-read.h not found
From: Sam Steingold <[email-masked]>
To: [email-masked]
Date: Mon, 02 Oct 2017 09:43:39 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

git tip on macosx make bootstrap fails with

../../lib/fsusage.c:52:11: fatal error: 'full-read.h' file not found
# include "full-read.h"
          ^~~~~~~~~~~~~

In GNU Emacs 27.0.50 (build 2, x86_64-apple-darwin16.7.0, NS appkit-1504.83 Version 10.12.6 (Build 16G29))
 of 2017-09-25 built on Clr-Sam.local
Repository revision: c7474fab180b57174edb3c949422e466100d605c
Windowing system distributor 'Apple', version 10.3.1504
Configured using:
 'configure --with-mailutils --with-ns
 PKG_CONFIG_PATH=/usr/local/opt/libxml2/lib/pkgconfig:/usr/local/opt/imagemagick/lib/pkgconfig/
 --without-makeinfo'

-- 
Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.1504
http://steingoldpsychology.com http://www.childpsy.net https://jihadwatch.org
http://iris.org.il http://no2bds.org http://www.memritv.org
A number problem "solved" with floats turns into 1.9999999999999998 problems.